Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
rungxanhonline

Lấy toạ độ trong cảnh nhìn (view)

Các bài được khuyến nghị

Đây là phần code mình lấy các thông tin của cảnh nhìn hiện thời

Public Sub AddView()
   Dim objView As AcadView
   Dim objActViewPort As AcadViewport
   Dim strNewViewName As String
   Dim varCenterPoint As Variant
   Dim dblPoint(1) As Double

   strNewViewName = InputBox("Enter name for new view: ")
   If strNewViewName = "" Then Exit Sub
   On Error Resume Next
   Set objView = aCadApp.ActiveDocument.Views.Item(strNewViewName)

   If objView Is Nothing Then
       Set objView = aCadApp.ActiveDocument.Views.Add(strNewViewName)
       aCadApp.ActiveDocument.ActiveSpace = acModelSpace
       varCenterPoint = aCadApp.ActiveDocument.GetVariable("VIEWCTR")
       dblPoint(0) = varCenterPoint(0): dblPoint(1) = varCenterPoint(1)
       Set objActViewPort = aCadApp.ActiveDocument.ActiveViewportt

       With objView
           .Center = dblPoint
           .Direction = aCadApp.ActiveDocument.GetVariable("VIEWDIR")
           .Height = objActViewPort.Height
           .Target = objActViewPort.Target
           .Width = objActViewPort.Width
       End With

       MsgBox "A new view called " & objView.Name & _
           " has been added to the Views collection."
   Else
       MsgBox "This view already exists."
   End If
End Sub

Khi mình sử dụng cảnh nhìn này thì tỉ lệ bị thay đổi, bây giờ mình muốn làm cách nào để giữ nguyên tỉ lệ đó nếu không được thì các tiền bối có thể chỉ giúp mình cách lấy các toạ độ điểm giới hạn của khung nhìn này. Cám ơn nhiều. Mong các tiền bối sớm trả lời.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×